Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732272 - www-client/httrack fails to compile with lld for profile 17.1
Summary: www-client/httrack fails to compile with lld for profile 17.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sebastian Pipping
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-11 19:35 UTC by Agostino Sarubbo
Modified: 2021-01-31 20:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,14.45 KB, text/plain)
2020-07-11 19:35 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-11 19:35:04 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: www-client/httrack fails to compile.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue isstrictly related to the LLD linker, please block bug 731004.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-11 19:35:10 UTC
Created attachment 648954 [details]
build.log

build log and emerge --info
Comment 2 Sebastian Pipping gentoo-dev 2020-07-11 21:59:25 UTC
My guess is that it's a 17.0 vs 17.1 profile thing again.  Any chance you could share config.log as well?
Comment 3 Sebastian Pipping gentoo-dev 2021-01-31 19:50:18 UTC
Confirming for build command:

  CC=clang CXX=clang++ LD=ld.lld LDFLAGS=-fuse-ld=lld ebuild httrack-3.49.2-r2.ebuild manifest clean compile
Comment 4 Larry the Git Cow gentoo-dev 2021-01-31 20:01:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a25a763b7acf4ba6a02094ce0696baef94e617ee

commit a25a763b7acf4ba6a02094ce0696baef94e617ee
Author:     Sebastian Pipping <sping@gentoo.org>
AuthorDate: 2021-01-31 20:00:34 +0000
Commit:     Sebastian Pipping <sping@gentoo.org>
CommitDate: 2021-01-31 20:00:34 +0000

    www-client/httrack: Fix linking with lld for profile 17.1
    
    Closes: https://bugs.gentoo.org/732272
    Signed-off-by: Sebastian Pipping <sping@gentoo.org>
    Package-Manager: Portage-3.0.14, Repoman-3.0.2

 www-client/httrack/httrack-3.49.2-r2.ebuild | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)